import React from 'react';
import { exhaustiveCheck } from '@alfalab/core-components-shared/esm';
import { IconCheck20 } from '../icons/icon-check-20.js';
import { IconCheck24 } from '../icons/icon-check-24.js';

var getIcon = function (size) {
    switch (size) {
        case 's':
        case 20:
            return React.createElement(IconCheck20, null);
        case 'm':
        case 24:
            return React.createElement(IconCheck24, null);
        default:
            return exhaustiveCheck(size);
    }
};

export { getIcon };
