'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var coreComponentsShared = require('@alfalab/core-components-shared');
var icons_iconCheck20 = require('../icons/icon-check-20.js');
var icons_iconCheck24 = require('../icons/icon-check-24.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);

var getIcon = function (size) {
    switch (size) {
        case 's':
        case 20:
            return React__default.default.createElement(icons_iconCheck20.IconCheck20, null);
        case 'm':
        case 24:
            return React__default.default.createElement(icons_iconCheck24.IconCheck24, null);
        default:
            return coreComponentsShared.exhaustiveCheck(size);
    }
};

exports.getIcon = getIcon;
